/* Gets the character digitisation of Hershey table entry "char" */
/* Returns 1 if there is a valid entry */

extern short int *fntbffr;
extern short int *fntindx;
extern short int indxleng;

#include "plplot.h"
#define STLEN     250

static SCHAR xygrid[STLEN];

struct point {
   SCHAR x, y;
};

PLINT plcvec(ch,xygr)
PLINT ch;
SCHAR **xygr;
{

   PLINT k=0, ib;
   struct point *pt;

   ch--;
   if (ch < 0 || ch >= indxleng) return((PLINT)0);
   ib = fntindx[ch]-2;
   if (ib == -2) return((PLINT)0);

   do {
     ib++;
     pt = (struct point *)&fntbffr[ib];
     xygrid[k++]=pt->x;
     xygrid[k++]=pt->y;
   } while ((pt->x != 64 || pt->y != 64) && k <= (STLEN-2));

   *xygr = xygrid;
   return((PLINT)1);
}

