/* Sets line width */

#include "plplot.h"
#include "declare.h"

void plpat(nlin,inc,del)
PLINT nlin, *inc, *del;
{
   PLINT i, level;

   glev(&level);
   if (level < 1)  plexit("Please call plstar before calling plpat.");
   if(nlin<1 || nlin>2) plexit("Only 1 or 2 line styles allowed in plpat.");

   nps = nlin;
   for(i=0; i<nlin; i++) {
      inclin[i] = inc[i];
      delta[i] = del[i];
      if(del[i] < 0)plexit("Line spacing must be greater than 0 in plpat.");
   }
}
