/* Sets up the subpage boundaries according to the current subpage  */
/* selected */

#include "plplot.h"

void setsub()
{
      PLINT ix, iy;
      PLINT nsubx, nsuby, cursub;
      PLFLT spdxmi, spdxma, spdymi, spdyma;
      PLINT sppxmi, sppxma, sppymi, sppyma;

      gsub(&nsubx,&nsuby,&cursub);
      ix = (cursub-1)%nsubx;
      iy = nsuby - (cursub-1)/nsubx;

      spdxmi = (PLFLT)(ix)/(PLFLT)(nsubx);
      spdxma = (PLFLT)(ix+1)/(PLFLT)(nsubx);
      spdymi = (PLFLT)(iy-1)/(PLFLT)(nsuby);
      spdyma = (PLFLT)(iy)/(PLFLT)(nsuby);
      sspd(spdxmi,spdxma,spdymi,spdyma);

      sppxmi = dcpcx(spdxmi);
      sppxma = dcpcx(spdxma);
      sppymi = dcpcy(spdymi);
      sppyma = dcpcy(spdyma);
      sspp(sppxmi,sppxma,sppymi,sppyma);

      sclp(sppxmi,sppxma,sppymi,sppyma);

}
