/* Advance to subpage "page", or to the next one if "page" = 0 */

#include "plplot.h"

void pladv(page)
PLINT page;
{
      PLINT cursub, nsubx, nsuby;
      PLINT device, termin, graphx;
      PLINT level;

      glev(&level);
      if (level < 1) plexit("Please call plstar before calling pladv.");

      gdev(&device,&termin,&graphx);
      gsub(&nsubx,&nsuby,&cursub);
      if (page > 0 && page <= nsubx*nsuby)
        cursub = page;
      else if (page == 0) {
        if (cursub == nsubx*nsuby) {
          plclr();
          plpage();
          cursub = 1;
        }
        else
          cursub = cursub + 1;
      }
      else
        plexit("Invalid subpage number in pladv.");

      ssub(nsubx,nsuby,cursub);
      setsub();
}

