/* Plots single horizontal error bar */

#include "plplot.h"
#include <math.h>

void plerx1(xmin,xmax,y)
PLFLT xmin, xmax, y;
{
      PLFLT mindef, minht, xpmm, ypmm;
      PLINT yminor;

      gmin(&mindef,&minht);
      gpixmm(&xpmm,&ypmm);
      yminor = max(1.0,minht*ypmm);
      movwor(xmin,y);
      plxtik(wcpcx(xmin),wcpcy(y),yminor,yminor);
      drawor(xmax,y);
      plxtik(wcpcx(xmax),wcpcy(y),yminor,yminor);
}
